Subject: linux-next: manual merge of the pm tree with the arm tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 3 Dec 2014 12:12:35 +1100

Hi Rafael,

Today's linux-next merge of the pm tree got a conflict in
include/linux/pm_runtime.h between commit 3fb1581ea1ab ("ARM: 8199/1:
PM / Runtime: Add getter for querying the IRQ safe option v12") from
the arm tree and commit 6d14dd40f550 ("PM: Drop CONFIG_PM_RUNTIME from
the driver core") from the pm tree.

I fixed it up (see below) and can carry the fix as necessary (no action
is required).

-- 
Cheers,
Stephen Rothwell                    [email-masked]

diff --cc include/linux/pm_runtime.h
index 44d74f0f182e,eda4feede048..000000000000
--- a/include/linux/pm_runtime.h
+++ b/include/linux/pm_runtime.h
@@@ -128,12 -118,14 +118,19 @@@ static inline void pm_runtime_mark_last
  	ACCESS_ONCE(dev->power.last_busy) = jiffies;
  }
  
 +static inline bool pm_runtime_is_irq_safe(struct device *dev)
 +{
 +	return dev->power.irq_safe;
 +}
 +
- #else /* !CONFIG_PM_RUNTIME */
+ #else /* !CONFIG_PM */
+ 
+ static inline bool queue_pm_work(struct work_struct *work) { return false; }
+ 
+ static inline int pm_generic_runtime_suspend(struct device *dev) { return 0; }
+ static inline int pm_generic_runtime_resume(struct device *dev) { return 0; }
+ static inline int pm_runtime_force_suspend(struct device *dev) { return 0; }
+ static inline int pm_runtime_force_resume(struct device *dev) { return 0; }
  
  static inline int __pm_runtime_idle(struct device *dev, int rpmflags)
  {